Package net.shibboleth.idp.consent.logic.impl

# Class FlowDescriptorLookupFunction<T extends ProfileInterceptorFlowDescriptor>

java.lang.Object
net.shibboleth.idp.consent.logic.impl.FlowDescriptorLookupFunction<T>

Type Parameters:
  `T` - the profile interceptor flow descriptor type to locate

All Implemented Interfaces:
  `Function<ProfileRequestContext,T>`

public class FlowDescriptorLookupFunction<T extends ProfileInterceptorFlowDescriptor> extends Object implements Function<ProfileRequestContext,T>
Function that returns a profile interceptor flow descriptor from a profile request context using a lookup strategy.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ProfileInterceptorContext>`
`interceptorContextlookupStrategy`
Profile interceptor context lookup strategy.
`private final Class<T>`
`interceptorFlowDescriptorType`
Profile interceptor flow descriptor type to look up.

## Constructor Summary

Constructors
Constructor
Description
`FlowDescriptorLookupFunction(Class<T> type)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`T`
`apply(ProfileRequestContext input)`
`void`
`setInterceptorContextlookupStrategy(Function<ProfileRequestContext,ProfileInterceptorContext> strategy)`
Set the interceptor context lookup strategy.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

## Field Details

### interceptorFlowDescriptorType

@Nonnull private final Class<T extends ProfileInterceptorFlowDescriptor> interceptorFlowDescriptorType
Profile interceptor flow descriptor type to look up.

### interceptorContextlookupStrategy

@Nonnull private Function<ProfileRequestContext,ProfileInterceptorContext> interceptorContextlookupStrategy
Profile interceptor context lookup strategy.

## Constructor Details

### FlowDescriptorLookupFunction

public FlowDescriptorLookupFunction(@Nonnull Class<T> type)
Constructor.

Parameters:
  `type` - profile interceptor flow descriptor type to look up

## Method Details

### setInterceptorContextlookupStrategy

public void setInterceptorContextlookupStrategy(@Nonnull Function<ProfileRequestContext,ProfileInterceptorContext> strategy)
Set the interceptor context lookup strategy.

Parameters:
  `strategy` - interceptor context lookup strategy

### apply

@Nullable public T apply(@Nullable ProfileRequestContext input)

Specified by:
  `apply` in interface `Function<ProfileRequestContext,T extends ProfileInterceptorFlowDescriptor>`